from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.task import XInteractionContinuation

@runtime_checkable
class XInteractionPassword(XInteractionContinuation, Protocol):
    def setPassword(self, aPasswd: str) -> None: ...
    def getPassword(self) -> str: ...
